IrIsRunning  = False
IrPreviewFileName = "ir.jpg"
materialUpdated = False
materialUpdatesNumber = 0
worldUpdated = False
engineUpdated = False
sceneUpdated = False
objectsUpdated = []
displayUpdated = False
preview3DAlpha = 0.0
timerDelay = 0.1
showMatGui = True
frame_px = False
minIRpreviewSize = 2000
useLUT = False
nameBasedLUT = False
unbiasedPreview = False
previewScene = "Addon"
matTransTable = []
theaPath = ""


def setConfig():
    import bpy
    import os
    from configparser import SafeConfigParser
    config = SafeConfigParser()

    for path in bpy.utils.script_paths():            
        if  os.path.isdir(os.path.join(path,"addons","TheaForBlender")):
            theaConfigFile = os.path.join(path,"addons","TheaForBlender","config.ini")
            config.read(theaConfigFile)
            if not config.has_section('main'):
                config.add_section('main')
            config.set('main', 'useLUT', str(useLUT))
            config.set('main', 'nameBasedLUT', str(nameBasedLUT))
            
            with open(theaConfigFile, 'w') as f:
                config.write(f)
                
def getConfig():
    import bpy
    import os
    from configparser import SafeConfigParser
    config = SafeConfigParser()

    for path in bpy.utils.script_paths():    
        theaConfigFile = os.path.join(path,"addons","TheaForBlender","config.ini")
        if os.path.exists(theaConfigFile):
            config.read(theaConfigFile)
            try:
                useLUT = config.getboolean('main', 'useLUT')
            except:
                useLUT = False
                
                

def getUseLUT():
    import bpy
    import os
    from configparser import SafeConfigParser
    config = SafeConfigParser()
    useLUT = False

    for path in bpy.utils.script_paths():    
        theaConfigFile = os.path.join(path,"addons","TheaForBlender","config.ini")
        if os.path.exists(theaConfigFile):
            config.read(theaConfigFile)
            try:
                useLUT = config.getboolean('main', 'useLUT')
            except:
                useLUT = False
    return useLUT                            

def getNameBasedLUT():
    import bpy
    import os
    from configparser import SafeConfigParser
    config = SafeConfigParser()
    nameBasedLUT = False

    for path in bpy.utils.script_paths():    
        theaConfigFile = os.path.join(path,"addons","TheaForBlender","config.ini")
        if os.path.exists(theaConfigFile):
            config.read(theaConfigFile)
            try:
                nameBasedLUT = config.getboolean('main', 'nameBasedLUT')
            except:
                nameBasedLUT = False
    return nameBasedLUT